FOR TIPS, gUIDES & TUTORIALS

subscribe to our Youtube

GO TO YOUTUBE

14455 questions

17168 answers

28195 comments

0 members

We are migrating to our new platform at https://community.teltonika.lt. Moving forward, you can continue discussions on this new platform. This current platform will be temporarily maintained for reference purposes.
0 votes
340 views 3 comments
by

Hello,

I have problem with snmp package for Teltonika RUT955 with firmware version RUT9XX_R_00.06.06.1 and snmpd package 5.8.6 . During configuration snmp v3 setup isn't saved and I got error screen:

/usr/lib/lua/luci/dispatcher.lua:217: Failed to execute function dispatcher target for entry '/admin/services/snmp'.
The called action terminated with an exception:
/usr/lib/lua/luci/dispatcher.lua:217: Failed to execute cbi dispatcher target for entry '/admin/services/snmp/snmp-settings'.
The called action terminated with an exception:
/usr/lib/lua/luci/cbi.lua:71: Datatype error, bad token "credentials_validate"
stack traceback:
	[C]: in function 'assert'
	/usr/lib/lua/luci/dispatcher.lua:217: in function 'dispatch'
	/usr/lib/lua/luci/dispatcher.lua:93: in function </usr/lib/lua/luci/dispatcher.lua:93>
My setup:
Port 161
Community custom
snmp v3
Authentication sha
Encryption aes


 I've tried different options but result is the same. With older version 5.8.5 and below snmp v3 works fine with same settings, configuration is saved, communication works. Also I've tried snmp v2 and configuration is saved but I can't communicate with device with snmp. Could you check from available screen what could be the problem ? Could you share older snmpd package version 5.8.5 please ? Thank you.

by
Добрый день необходим пакет SNMP с версией 5.8.2

1 Answer

0 votes
by anonymous
Hello,

Thank you for submitting your issue. I just tried to configure it myself and got the same error. I will forward this to our RnD department and will try get SNMP 5.8.5 package version for you.

Best regards.
by
Thank you for answer. I'll be waiting for snmpd package in mentioned version.

Best regards.
by anonymous
Hello again,

You can download SNMP 5.8.5 version using package manager once again. 5.8.6 version was pushed to early. Thank you for your patience.

Regards.